summaryrefslogtreecommitdiffstats
path: root/source/script
diff options
context:
space:
mode:
Diffstat (limited to 'source/script')
-rwxr-xr-xsource/script/installswat.sh25
-rw-r--r--source/script/mkbuildoptions.awk23
-rwxr-xr-xsource/script/tests/selftest.sh10
-rwxr-xr-xsource/script/tests/test_posix_s3.sh8
4 files changed, 28 insertions, 38 deletions
diff --git a/source/script/installswat.sh b/source/script/installswat.sh
index 427e1773620..f4220b3c632 100755
--- a/source/script/installswat.sh
+++ b/source/script/installswat.sh
@@ -43,7 +43,7 @@ fi
for ln in $LANGS; do
# images
- for f in $SRCDIR../swat/$ln/images/*.png; do
+ for f in $SRCDIR../swat/$ln/images/*.gif; do
if [ ! -f $f ] ; then
continue
fi
@@ -121,29 +121,6 @@ for ln in $LANGS; do
fi
done
- # javascripts
- for f in $SRCDIR../swat/$ln/js/*.js; do
- if [ ! -f $f ] ; then
- continue
- fi
- FNAME="$DESTDIR/$SWATDIR/$ln/js/`basename $f`"
- echo $FNAME
- if test "$mode" = 'install'; then
- cp "$f" "$FNAME"
- if test ! -f "$FNAME"; then
- echo "Cannot install $FNAME. Does $USER have privileges? "
- exit 1
- fi
- chmod 0644 $FNAME
- elif test "$mode" = 'uninstall'; then
- rm -f "$FNAME"
- if test -f "$FNAME"; then
- echo "Cannot remove $FNAME. Does $USER have privileges? "
- exit 1
- fi
- fi
- done
-
done
# Install/ remove html documentation (if html documentation tree is here)
diff --git a/source/script/mkbuildoptions.awk b/source/script/mkbuildoptions.awk
index 9c226623109..1e7b74b8d9c 100644
--- a/source/script/mkbuildoptions.awk
+++ b/source/script/mkbuildoptions.awk
@@ -242,14 +242,21 @@ END {
# add code to display the various type sizes
print " /* Output the sizes of the various types */";
print " output(screen, \"\\nType sizes:\\n\");";
- print " output(screen, \" sizeof(char): %lu\\n\",(unsigned long)sizeof(char));";
- print " output(screen, \" sizeof(int): %lu\\n\",(unsigned long)sizeof(int));";
- print " output(screen, \" sizeof(long): %lu\\n\",(unsigned long)sizeof(long));";
- print " output(screen, \" sizeof(uint8): %lu\\n\",(unsigned long)sizeof(uint8));";
- print " output(screen, \" sizeof(uint16): %lu\\n\",(unsigned long)sizeof(uint16));";
- print " output(screen, \" sizeof(uint32): %lu\\n\",(unsigned long)sizeof(uint32));";
- print " output(screen, \" sizeof(short): %lu\\n\",(unsigned long)sizeof(short));";
- print " output(screen, \" sizeof(void*): %lu\\n\",(unsigned long)sizeof(void*));";
+ print " output(screen, \" sizeof(char): %lu\\n\",(unsigned long)sizeof(char));";
+ print " output(screen, \" sizeof(int): %lu\\n\",(unsigned long)sizeof(int));";
+ print " output(screen, \" sizeof(long): %lu\\n\",(unsigned long)sizeof(long));";
+ print "#if HAVE_LONGLONG"
+ print " output(screen, \" sizeof(long long): %lu\\n\",(unsigned long)sizeof(long long));";
+ print "#endif"
+ print " output(screen, \" sizeof(uint8): %lu\\n\",(unsigned long)sizeof(uint8));";
+ print " output(screen, \" sizeof(uint16): %lu\\n\",(unsigned long)sizeof(uint16));";
+ print " output(screen, \" sizeof(uint32): %lu\\n\",(unsigned long)sizeof(uint32));";
+ print " output(screen, \" sizeof(short): %lu\\n\",(unsigned long)sizeof(short));";
+ print " output(screen, \" sizeof(void*): %lu\\n\",(unsigned long)sizeof(void*));";
+ print " output(screen, \" sizeof(size_t): %lu\\n\",(unsigned long)sizeof(size_t));";
+ print " output(screen, \" sizeof(off_t): %lu\\n\",(unsigned long)sizeof(off_t));";
+ print " output(screen, \" sizeof(ino_t): %lu\\n\",(unsigned long)sizeof(ino_t));";
+ print " output(screen, \" sizeof(dev_t): %lu\\n\",(unsigned long)sizeof(dev_t));";
##################################################
# add code to give information about modules
diff --git a/source/script/tests/selftest.sh b/source/script/tests/selftest.sh
index e7b29f76c7a..cdf5b36bfa0 100755
--- a/source/script/tests/selftest.sh
+++ b/source/script/tests/selftest.sh
@@ -15,7 +15,7 @@ PREFIX=`echo $1 | sed s+//+/+`
mkdir -p $PREFIX || exit $?
OLD_PWD=`pwd`
cd $PREFIX || exit $?
-export PREFIX_ABS=`pwd`
+PREFIX_ABS=`pwd`
cd $OLD_PWD
if [ -z "$TORTURE_MAXTIME" ]; then
@@ -29,7 +29,7 @@ export TORTURE_MAXTIME
SERVER=localhost2
SERVER_IP=127.0.0.2
-USERNAME=`whoami`
+USERNAME=`PATH=/usr/ucb:$PATH whoami`
PASSWORD=test
SRCDIR=`pwd`
@@ -46,7 +46,7 @@ LOGDIR=$PREFIX_ABS/logs
SOCKET_WRAPPER_DIR=$PREFIX/sw
CONFIGURATION="-s $CONFFILE"
-export PREFIX_ABS CONFIGURATION CONFFILE PATH SOCKET_WRAPPER_DIR DOMAIN
+export PREFIX PREFIX_ABS CONFIGURATION CONFFILE PATH SOCKET_WRAPPER_DIR DOMAIN
export PRIVATEDIR LIBDIR PIDDIR LOCKDIR LOGDIR SERVERCONFFILE
export SRCDIR SCRIPTDIR
export USERNAME PASSWORD
@@ -157,9 +157,11 @@ TORTURE4_OPTIONS="--maximum-runtime=$TORTURE_MAXTIME --option=interfaces=$TORTUR
export TORTURE4_OPTIONS
if [ x"$RUN_FROM_BUILD_FARM" = x"yes" ];then
- TORTURE4_OPTIONS="$TORTURE4_OPTIONS --option=\"torture:progress=no\""
+ TORTURE4_OPTIONS="$TORTURE4_OPTIONS --option=torture:progress=no"
fi
+TORTURE4_OPTIONS="$TORTURE4_OPTIONS --option=target:samba3=yes"
+
##
## ready to go...now loop through the tests
##
diff --git a/source/script/tests/test_posix_s3.sh b/source/script/tests/test_posix_s3.sh
index 2f5f92ee807..1e60ec76668 100755
--- a/source/script/tests/test_posix_s3.sh
+++ b/source/script/tests/test_posix_s3.sh
@@ -32,9 +32,13 @@ raw="$raw RAW-IOCTL RAW-LOCK RAW-MKDIR RAW-MUX RAW-NOTIFY RAW-OPEN RAW-OPLOCK"
raw="$raw RAW-QFILEINFO RAW-QFSINFO RAW-READ RAW-RENAME RAW-SEARCH RAW-SEEK"
raw="$raw RAW-SFILEINFO RAW-SFILEINFO-BUG RAW-STREAMS RAW-UNLINK RAW-WRITE"
-tests="$base"
+tests="$base $raw"
-skipped="BASE-CHARSET BASE-DEFER_OPEN BASE-DELAYWRITE BASE-DELETE BASE-DENY1 BASE-OPENATTR BASE-TCONDEV"
+skipped="BASE-CHARSET BASE-DEFER_OPEN BASE-DELAYWRITE BASE-DELETE BASE-OPENATTR BASE-TCONDEV"
+skipped="$skipped RAW-ACLS RAW-CLOSE RAW-COMPOSITE RAW-CONTEXT RAW-EAS"
+skipped="$skipped RAW-IOCTL RAW-MKDIR RAW-MUX RAW-NOTIFY RAW-OPEN RAW-OPLOCK"
+skipped="$skipped RAW-QFILEINFO RAW-QFSINFO RAW-RENAME RAW-SEARCH"
+skipped="$skipped RAW-SFILEINFO RAW-STREAMS RAW-UNLINK RAW-WRITE"
echo "WARNING: Skipping tests $skipped"